Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlTemplateProposal

java.lang.Object
org.eclipse.jface.text.templates.TemplateProposal
org.eclipse.m2m.atl.adt.ui.text.atl.AtlTemplateProposal

All Implemented Interfaces:
  `Comparable<AtlTemplateProposal>`, `org.eclipse.jface.text.contentassist.ICompletionProposal`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension2`, `org.eclipse.jface.text.contentassist.ICompletionProposalExtension3`

Direct Known Subclasses:
  `AtlInstalledTemplateProposal`

public class AtlTemplateProposal extends org.eclipse.jface.text.templates.TemplateProposal implements Comparable<AtlTemplateProposal>
Completion helper, dedicated to document parsing.

## Constructor Summary

Constructors
Constructor
Description
`AtlTemplateProposal(org.eclipse.jface.text.templates.Template template, org.eclipse.jface.text.templates.TemplateContext context, org.eclipse.jface.text.IRegion region, org.eclipse.swt.graphics.Image image, int relevance, String information)`
Creates a new ATL Template proposal.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(AtlTemplateProposal o)`
`String`
`getAdditionalProposalInfo()`

### Methods inherited from class org.eclipse.jface.text.templates.TemplateProposal

`apply, apply, apply, getContext, getContextInformation, getContextInformationPosition, getDisplayString, getImage, getInformationControlCreator, getPrefixCompletionStart, getPrefixCompletionText, getRelevance, getReplaceEndOffset, getReplaceOffset, getSelection, getTemplate, getTriggerCharacters, isValidFor, selected, setInformationControlCreator, unselected, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlTemplateProposal

public AtlTemplateProposal(org.eclipse.jface.text.templates.Template template, org.eclipse.jface.text.templates.TemplateContext context, org.eclipse.jface.text.IRegion region, org.eclipse.swt.graphics.Image image, int relevance, String information)
Creates a new ATL Template proposal.

Parameters:
  `template` - the template
  `context` - the template context
  `region` - the selected region
  `image` - the template image
  `relevance` - the template relevance
  `information` - the template information

## Method Details

### getAdditionalProposalInfo

public String getAdditionalProposalInfo()

Specified by:
  `getAdditionalProposalInfo` in interface `org.eclipse.jface.text.contentassist.ICompletionProposal`
Overrides:
  `getAdditionalProposalInfo` in class `org.eclipse.jface.text.templates.TemplateProposal`
See Also:
  - `TemplateProposal.getAdditionalProposalInfo()`

### compareTo

public int compareTo(AtlTemplateProposal o)

Specified by:
  `compareTo` in interface `Comparable<AtlTemplateProposal>`
See Also:
  - `Comparable.compareTo(java.lang.Object)`